#!/bin/bash

export GWIBBER_PATH=/usr/share/pyshared/gwibber
export GWIBBER_DATA_PATH=/usr/share/gwibber
export GWIBBER_LINK_PATH=/usr/lib/python2.6/dist-packages/gwibber

echo "removing installed files for sina microblog"
rm $GWIBBER_LINK_PATH/microblog/sina.py
rm $GWIBBER_PATH/microblog/sina.py
rm $GWIBBER_LINK_PATH/lib/gtk/sina.py
rm $GWIBBER_PATH/lib/gtk/sina.py
rm $GWIBBER_LINK_PATH/microblog/util/sinaresources.py
rm $GWIBBER_PATH/microblog/util/sinaresources.py
rm $GWIBBER_DATA_PATH/ui/gwibber-accounts-sina.ui
rm $GWIBBER_DATA_PATH/ui/icons/breakdance/16x16/sina*
rm $GWIBBER_DATA_PATH/ui/icons/breakdance/22x22/sina*
rm $GWIBBER_DATA_PATH/ui/icons/breakdance/scalable/sina*

echo "restoring orignal files of gwibber"
rm $GWIBBER_PATH/microblog/dispatcher.py
mv $GWIBBER_PATH/microblog/dispatcher.py.backup $GWIBBER_PATH/microblog/dispatcher.py
rm $GWIBBER_PATH/lib/gtk/__init__.py
mv $GWIBBER_PATH/lib/gtk/__init__.py.backup $GWIBBER_PATH/lib/gtk/__init__.py

echo "uninstallation completed"

